.pedigree-container {
        display: flex;
        flex-wrap: nowrap;
        overflow-x: auto;
        padding: 20px;
        gap: 10px;
    }

    .gen-column {
        display: flex;
        flex-direction: column;
        justify-content: space-around;
        gap: 10px;
        min-width: 200px;
    }

    .ped-box {
        background-color: var(--branco);
        border: 1px solid var(--cinza);
        padding: 10px;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        min-height: 50px;
        border-radius: var(--b_radius);
        text-align: left;
    }

    .ped-box strong { color: var(--brand); font-size: 0.9rem; }
    .ped-box small { font-size: 0.7rem; color: var(--cinza); }

    /* Responsividade */
    @media (max-width: 768px) {
        .pedigree-container { padding: 5px; gap: 2px; overflow: hidden; overflow-x: scroll; }
        .gen-column {gap: 2px;}
        .ped-box {padding: 5px;}
    }